<head>
<title>Toni Animation</title>

<meta http-equiv='content-type' content='text/html; charset=ISO-8859-1'>

<link rel="stylesheet" href="css/NPR.css">

<!-- WEBGL Libraries //-->

<script type='text/javascript' src='js/webgl/Camera.js'></script>
<script type='text/javascript' src='js/webgl/CameraInteractor.js'></script>
<script type='text/javascript' src='js/webgl/glMatrix.js'></script>
<script type='text/javascript' src='js/webgl/Program.js'></script>
<script type='text/javascript' src='js/webgl/Scene.js'></script>
<script type='text/javascript' src='js/webgl/SceneTransforms.js'></script>
<script type='text/javascript' src='js/webgl/Utils.js'></script>
<script type='text/javascript' src='js/webgl/ctm.js'></script>
<script type='text/javascript' src='js/webgl/lzma.js'></script>

<!-- vertex shader //-->
<script id="shader-vs-uniform" type="x-shader/x-vertex">
   precision highp float;
   
   attribute vec3 aVertexPosition;
   attribute vec4 aVertexColor;
   
   uniform mat4 uMVMatrix;
   uniform mat4 uPMatrix;
   
   void main(void) {
      
      vec4 vertex = uMVMatrix * vec4(aVertexPosition, 1.0);
      gl_Position = uPMatrix * vertex;
    
   }	
   
   </script>


<!-- fragment shader //-->
<script id="shader-fs-uniform" type="x-shader/x-fragment">

   precision highp float;
   
   uniform vec4 uColor;

   void main(void){
      
      gl_FragColor=uColor;  
            
   }
</script>

<script id='code-js' type="text/javascript">
  
function startAndInit(){
    gl = Utils.getGLContext("canvas");
    gl.clearColor(0.0,0.0,0.0,0.0);
    gl.clearDepth(100.0);
    gl.clear(gl.COLOR_BUFFER_BIT | gl.DEPTH_BUFFER_BIT);
    
     
    scene= new Scene();    
    
    camera = new Camera();
    camera.goHome([0,0,5]);
    
    interactor = new CameraInteractor(camera, document.getElementById('canvas'));
    transforms = new SceneTransforms(camera);
    transforms.init();
    scene.setShadingMode('Uniform');
    camera.goHome([0,0,5]); 
    scene.loadCTM('models/cube.ctm');
   // scene.loadOBJ('models/cube.obj');

    animationLoop(scene);
}




function animationLoop(scene) {
    requestAnimFrame(function(){animationLoop(scene); }); 
    
    scene.draw();
}


</script>

</head>

<body onLoad='startAndInit()'>

<div id="canvasPlacement">  
    <canvas id='canvas' width='600' height='600'></canvas>    
    <canvas id='texture'></canvas> 
</div>  
  
<div id="input">
   <form action="input_radio.htm">
      <p>Color:</p>
         <p>
            <input type="radio" name="color"  checked onClick="scene.setColor([1,0,0,1])"> red<br>
            <input type="radio" name="color"  onClick="scene.setColor([0,0,1,1])"> blue<br>  
         </p>
      </form>
   
</div>



<script> var updateLightPosition = false;</script>


</body>
</html>